Skip to main content
POST
/
chat
/
markChatUnread
/
{instance}
Mark Chat As Unread
curl --request POST \
  --url https://api.zapthinker.com/chat/markChatUnread/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "lastMessage": [
    {
      "remoteJid": "<string>",
      "fromMe": true,
      "id": "<string>"
    }
  ],
  "chat": "<string>"
}
'
{
  "message": "Read messages",
  "read": "success"
}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Name of the instance

Body

application/json
lastMessage
object[]
required

Messages to be mark as unread

chat
string
required

remoteJid here

Response

201 - application/json

Created

message
string

A brief message describing the action performed.

read
string

The status of the read action.